<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Main Window/main.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_975d5d2dd149c960a63cfc1fda02739a.html">Main Window</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">main.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="mainwindow_8h_source.html">mainwindow.h</a>&quot;</code><br />
<code>#include &lt;QApplication&gt;</code><br />
<code>#include &lt;QFontDatabase&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for main.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="frontend_2src_2lib_2Main_01Window_2main_8cpp__incl.png" border="0" usemap="#frontend_2src_2lib_2Main_01Window_2main_8cpp" alt=""/></div>
<map name="frontend_2src_2lib_2Main_01Window_2main_8cpp" id="frontend_2src_2lib_2Main_01Window_2main_8cpp">
<area shape="rect" title=" " alt="" coords="2009,5,2165,47"/>
<area shape="rect" href="mainwindow_8h.html" title=" " alt="" coords="1894,95,2010,121"/>
<area shape="rect" title=" " alt="" coords="2034,95,2139,121"/>
<area shape="rect" title=" " alt="" coords="2164,95,2287,121"/>
<area shape="rect" title=" " alt="" coords="1074,393,1190,420"/>
<area shape="rect" href="settings_8h.html" title=" " alt="" coords="795,319,882,345"/>
<area shape="rect" title=" " alt="" coords="499,393,581,420"/>
<area shape="rect" title=" " alt="" coords="397,393,475,420"/>
<area shape="rect" title=" " alt="" coords="605,393,675,420"/>
<area shape="rect" title=" " alt="" coords="669,632,795,659"/>
<area shape="rect" href="config_8h.html" title=" " alt="" coords="3453,632,3526,659"/>
<area shape="rect" href="settingsservice_8h.html" title=" " alt="" coords="2319,550,2452,577"/>
<area shape="rect" title=" " alt="" coords="90,632,163,659"/>
<area shape="rect" title=" " alt="" coords="3037,632,3126,659"/>
<area shape="rect" href="lobby_8h.html" title=" " alt="" coords="2429,169,2497,196"/>
<area shape="rect" href="globals_8h.html" title=" " alt="" coords="626,550,707,577"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="3301,468,3451,495"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="4033,543,4191,584"/>
<area shape="rect" href="hostgame_8h.html" title=" " alt="" coords="1903,244,2001,271"/>
<area shape="rect" title=" " alt="" coords="4186,169,4299,196"/>
<area shape="rect" title=" " alt="" coords="4324,169,4375,196"/>
<area shape="rect" title=" " alt="" coords="4399,169,4457,196"/>
<area shape="rect" title=" " alt="" coords="4482,169,4547,196"/>
<area shape="rect" title=" " alt="" coords="803,468,898,495"/>
<area shape="rect" title=" " alt="" coords="283,632,384,659"/>
<area shape="rect" title=" " alt="" coords="3703,632,3783,659"/>
<area shape="rect" title=" " alt="" coords="953,393,1050,420"/>
<area shape="rect" title=" " alt="" coords="409,632,463,659"/>
<area shape="rect" title=" " alt="" coords="2847,550,2942,577"/>
<area shape="rect" title=" " alt="" coords="3460,707,3519,733"/>
<area shape="rect" title=" " alt="" coords="2643,632,2717,659"/>
<area shape="rect" title=" " alt="" coords="4069,632,4155,659"/>
<area shape="rect" title=" " alt="" coords="3279,550,3350,577"/>
<area shape="rect" title=" " alt="" coords="4280,632,4347,659"/>
<area shape="rect" title=" " alt="" coords="4179,632,4255,659"/>
<area shape="rect" title=" " alt="" coords="3869,632,3993,659"/>
<area shape="rect" title=" " alt="" coords="2679,468,2839,495"/>
<area shape="rect" title=" " alt="" coords="1685,319,1838,345"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="1811,393,1922,420"/>
<area shape="rect" href="table_8h.html" title=" " alt="" coords="2067,319,2133,345"/>
<area shape="rect" title=" " alt="" coords="1243,468,1376,495"/>
<area shape="rect" title=" " alt="" coords="2965,468,3043,495"/>
<area shape="rect" title=" " alt="" coords="1401,468,1487,495"/>
<area shape="rect" title=" " alt="" coords="1511,468,1595,495"/>
<area shape="rect" title=" " alt="" coords="1619,468,1679,495"/>
<area shape="rect" title=" " alt="" coords="1703,468,1787,495"/>
<area shape="rect" title=" " alt="" coords="1812,468,1889,495"/>
<area shape="rect" title=" " alt="" coords="1914,468,1979,495"/>
<area shape="rect" title=" " alt="" coords="2004,468,2167,495"/>
<area shape="rect" title=" " alt="" coords="2191,468,2299,495"/>
<area shape="rect" title=" " alt="" coords="1075,468,1136,495"/>
<area shape="rect" title=" " alt="" coords="1160,468,1219,495"/>
<area shape="rect" href="cardwidget_8h.html" title=" " alt="" coords="3017,393,3124,420"/>
<area shape="rect" title=" " alt="" coords="3119,468,3225,495"/>
<area shape="rect" title=" " alt="" coords="2117,393,2187,420"/>
<area shape="rect" title=" " alt="" coords="2212,393,2287,420"/>
<area shape="rect" title=" " alt="" coords="2311,393,2409,420"/>
<area shape="rect" title=" " alt="" coords="2433,393,2511,420"/>
<area shape="rect" title=" " alt="" coords="2535,393,2686,420"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0ddf1224851353fc92bfbff6f499fa97"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="frontend_2src_2lib_2Main_01Window_2main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">main</a> (int argc, char *argv[])</td></tr>
<tr class="separator:a0ddf1224851353fc92bfbff6f499fa97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a0ddf1224851353fc92bfbff6f499fa97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ddf1224851353fc92bfbff6f499fa97">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
